Mailing List Archive

svn commit: r165061 - /spamassassin/trunk/spamd/redhat-rc-script.sh
Author: felicity
Date: Wed Apr 27 15:52:28 2005
New Revision: 165061

URL: http://svn.apache.org/viewcvs?rev=165061&view=rev
Log:
bug 4287: redhat rc script ought to return RETVAL and not just 0. also fix small issue with default in case statement.

Modified:
spamassassin/trunk/spamd/redhat-rc-script.sh

Modified: spamassassin/trunk/spamd/redhat-rc-script.sh
URL: http://svn.apache.org/viewcvs/spamassassin/trunk/spamd/redhat-rc-script.sh?rev=165061&r1=165060&r2=165061&view=diff
==============================================================================
--- spamassassin/trunk/spamd/redhat-rc-script.sh (original)
+++ spamassassin/trunk/spamd/redhat-rc-script.sh Wed Apr 27 15:52:28 2005
@@ -28,6 +28,9 @@
[ -f /usr/bin/spamd -o -f /usr/local/bin/spamd ] || exit 0
PATH=$PATH:/usr/bin:/usr/local/bin

+# By default it's all good
+RETVAL=0
+
# See how we were called.
case "$1" in
start)
@@ -59,7 +62,8 @@
;;
*)
echo "Usage: $0 {start|stop|restart|status|condrestart}"
- exit 1
+ RETVAL=1
+ ;;
esac

-exit 0
+exit $RETVAL